<?php

/**-----------------------------------------------
*
* Rooty, 2018 <rooty@rooty.me>
*
*
* This software is protected by copyright, please
* read the file COPYRIGHT.
* This program is distributed in the hope that it
* will be useful, but without any warranty; without
* even the implied warranty of merchantability or
* fitness for a particular purpose. Please
* read the file LICENCE.
*
* fichier config_data_source.php
* <P>Ce fichier contient les définitions de paramètres des éléments de données</P>
*
* @author Initiance <www.initiance.com|martial@initiance.com>
* @since 2004/06/07
* @version 0.3
* @link www.rooty.me
* @copyright Copyright &copy; 2009-2018, Rooty 
* package install
*/
if ( !defined("SYSTEM_IN") )
{
 die("Hacking attempt");
}

#######################################################################################################
### Configuration de la base de données
#######################################################################################################
/* Driver à utiliser */
define ("DATA_SOURCE_DB_DRIVER", "mypdo");
/* Type de la Base de Données (mysql3, mysql4, mysql5, postgres7, oracle, odbc) */
# mysql 3,4 et 5 postgres, Oracle 8i, ODBC........
define ("DATA_SOURCE_DB_TYPE", "mysql");
/* Serveur de Base de Données */
define ("DATA_SOURCE_DB_SERVER", "localhost");
/* Compte Utilisateur de la base de données */
define ("DATA_SOURCE_DB_USER", "fab-l3_org");
/* Mot de passe de la Base de données */
define ("DATA_SOURCE_DB_PASSWORD", "GalEuhyk87");
/* Nom de la Base de données */
define ("DATA_SOURCE_DB_DATABASE", "fab-l3_org_www");
/* Jeu de caractères utilisé par la Base de données */
define ("DATA_SOURCE_DB_CHARSET", "utf8");

#######################################################################################################
### Configuration de la base de données d'OwnCloud
#######################################################################################################
/* Driver à utiliser */
define ("NEXTCLOUD_DB_DRIVER", "mypdo");
/* Type de la Base de Données (mysql3, mysql4, mysql5, postgres7, oracle, odbc) */
# mysql 3,4 et 5 postgres, Oracle 8i, ODBC........
define ("NEXTCLOUD_DB_TYPE", "mysql");
/* Serveur de Base de Données */
define ("NEXTCLOUD_DB_SERVER", "localhost");
/* Compte Utilisateur de la base de données */
define ("NEXTCLOUD_DB_USER", "fab-l3_org");
/* Mot de passe de la Base de données */
define ("NEXTCLOUD_DB_PASSWORD", "GalEuhyk87");
/* Nom de la Base de données */
define ("NEXTCLOUD_DB_DATABASE", "fab-l3_org_owncloud");
/* Jeu de caractères utilisé par la Base de données */
define ("NEXTCLOUD_DB_CHARSET", "utf8");

#######################################################################################################
### Configuration CALDAV
#######################################################################################################
// https://cloud.fab-l3.org/remote.php/dav/calendars/tristan.champomier/horaires-lcube/
define ("CALENDAR_CALDAV_USER", "tristan.champomier");
define ("CALENDAR_CALDAV_PWD", "aBktW-jwJZs-cLJH2-edqHT-xE8ix");

define ("CALENDAR_CALDAV_URL", "https://cloud.fab-l3.org/remote.php/dav/calendars/");

$CALENDARS_GUEST[0]["caldavCal"] = "horaires-lcube";
$CALENDARS_GUEST[1]["caldavCal"] = "evenements";
$CALENDARS_GUEST[2]["caldavCal"] = "inactivits";
$sCALENDARS_GUEST = serialize($CALENDARS_GUEST);

define ("CALENDARS_GUEST", $sCALENDARS_GUEST);

#######################################################################################################
### Configuration de la base de données de Prosody
#######################################################################################################
/* Driver à utiliser */
define ("PROSODY_DB_DRIVER", "mypdo");
/* Type de la Base de Données (mysql3, mysql4, mysql5, postgres7, oracle, odbc) */
# mysql 3,4 et 5 postgres, Oracle 8i, ODBC........
define ("PROSODY_DB_TYPE", "mysql");
/* Serveur de Base de Données */
define ("PROSODY_DB_SERVER", "localhost");
/* Compte Utilisateur de la base de données */
define ("PROSODY_DB_USER", "fab-l3_org");
/* Mot de passe de la Base de données */
define ("PROSODY_DB_PASSWORD", "GalEuhyk87");
/* Nom de la Base de données */
define ("PROSODY_DB_DATABASE", "fab-l3_org_prosody");
/* Jeu de caractères utilisé par la Base de données */
define ("PROSODY_DB_CHARSET", "utf8");
/* Domaine XMPP */
define ("PROSODY_XMPP_DOMAIN", "im.fab-l3.org");

#######################################################################################################
### Configuration de la base de données des accès bâtiments et ressources LCube
#######################################################################################################
/* Driver à utiliser */
define ("SECURITYACCESS_SQL_DRIVER", "mypdo");
/* Type de la Base de Données (mysql3, mysql4, mysql5, postgres7, oracle, odbc) */
# mysql 3,4 et 5 postgres, Oracle 8i, ODBC........
define ("SECURITYACCESS_SQL_TYPE", "mysql");
/* Serveur de Base de Données */
// define ("SECURITYACCESS_SQL_SERVER", "equinoxe.comendatore.net");
define ("SECURITYACCESS_SQL_SERVER", "localhost");
/* Compte Utilisateur de la base de données */
define ("SECURITYACCESS_SQL_USER", "fab-l3_org");
/* Mot de passe de la Base de données */
define ("SECURITYACCESS_SQL_PASSWORD", "GalEuhyk87");
/* Nom de la Base de données */
define ("SECURITYACCESS_SQL_DATABASE", "fab-l3_org_access");
define ("SECURITYACCESS_SQL_CHARSET", "utf8");

#######################################################################################################
### Configuration de la base de données des caméras MotionCube
#######################################################################################################
/* Driver à utiliser */
define ("MOTIONCUBE_DB_DRIVER", "mypdo");
/* Type de la Base de Données (mysql3, mysql4, mysql5, postgres7, oracle, odbc) */
# mysql 3,4 et 5 postgres, Oracle 8i, ODBC........
define ("MOTIONCUBE_DB_TYPE", "mysql");
/* Serveur de Base de Données */
define ("MOTIONCUBE_DB_SERVER", "equinoxe.comendatore.net");
// define ("MOTIONCUBE_DB_SERVER", "localhost");
/* Compte Utilisateur de la base de données */
define ("MOTIONCUBE_DB_USER", "fab-l3_org");
/* Mot de passe de la Base de données */
define ("MOTIONCUBE_DB_PASSWORD", "GalEuhyk87");
/* Nom de la Base de données */
define ("MOTIONCUBE_DB_DATABASE", "fab-l3_org_motioncube");
define ("MOTIONCUBE_DB_CHARSET", "utf8");

#######################################################################################################
### Configuration des accès à l annuaire LDAP 
#######################################################################################################
/**
*
* <p>Ce bloc contient les constantes de configuration utilisées par le connecteur LDAP.</ br>
* Ces constantes ne sont pas prises en charge par l'installeur, elles sont à éditer manuellement.</p>
* @author NH Système <t.champomier@nh-systeme.fr>
* @since 2007/06/15
* @todo Implémenter l'écriture des ces constantes par l'installeur ou un outils spécifique de configuration de Granilim.
*/
# Racine de l'annuaire LDAP
define ("DATA_SOURCE_LDAP_ROOT_DN", "");
# Login de l'utilisateur LDAP
define ("DATA_SOURCE_LDAP_LOGIN_DN", "");
# Mot de passe de l'utilisateur LDAP
define ("DATA_SOURCE_LDAP_PASSWORD", "");
# Adresse du serveur LDAP (FQDN ou IP)
define ("DATA_SOURCE_LDAP_SERVER_ADR", "");
# Port du serveur LDAP (389/636)
define ("DATA_SOURCE_LDAP_PORT", "");
# Version du protocole LDAP utilisée (2/3)
define ("DATA_SOURCE_LDAP_PROTOCOLE_VERSION", "");
# Utilisation de TLS lors de la communication avec le serveur LDAP
define ("DATA_SOURCE_LDAP_USE_TLS", False);
/* Type d'encryption disponibles sur l'annuaire LDAP */
# Encryption CRYPT
define ("DATA_SOURCE_LDAP_CRYPT", True);
# Encryption EXT_DES
define ("DATA_SOURCE_LDAP_EXTDES", True);
# Encryption MD5_CRYPT
define ("DATA_SOURCE_LDAP_MD5CRYPT", True);
# Encryption BLOWFISH
define ("DATA_SOURCE_LDAP_BLOWFISH", True);
# Encryption MD5
define ("DATA_SOURCE_LDAP_MD5", True);
# Encryption SHA
define ("DATA_SOURCE_LDAP_SHA", True);
# Encryption SSHA
define ("DATA_SOURCE_LDAP_SSHA", True);
# Encryption SMD5
define ("DATA_SOURCE_LDAP_SMD5", True);
/* Type de chiffrage par défaut des mots de passe LDAP */
define ("DATA_SOURCE_LDAP_ENC", "crypt");
?>
